import type { TaggedFn1 } from "@thi.ng/shader-ast";
/**
 * Specialized version of {@link smootherStep}, assuming edges are 0/1
 * respectively and `x` is in [0..1]. No clamping performed.
 *
 * @param x
 */
export declare const smootherStep01: TaggedFn1<"float", "float">;
export declare const smootherStep01_2: TaggedFn1<"vec2", "vec2">;
export declare const smootherStep01_3: TaggedFn1<"vec3", "vec3">;
export declare const smootherStep01_4: TaggedFn1<"vec4", "vec4">;
/**
 * Similar to GLSL-native `smoothstep()` but using different, higher degree
 * polynomial.
 *
 * @remarks
 * Also see {@link smootherStep01}
 */
export declare const smootherStep: import("@thi.ng/shader-ast").TaggedFn3<"float", "float", "float", "float">;
export declare const smootherStep2: import("@thi.ng/shader-ast").TaggedFn3<"vec2", "vec2", "vec2", "vec2">;
export declare const smootherStep3: import("@thi.ng/shader-ast").TaggedFn3<"vec3", "vec3", "vec3", "vec3">;
export declare const smootherStep4: import("@thi.ng/shader-ast").TaggedFn3<"vec4", "vec4", "vec4", "vec4">;
//# sourceMappingURL=smoother-step.d.ts.map